# BUILD OPTIONS: 1 for yes, 0 for no
%define enable_debug 1
%define enable_optimize 1
%define enable_bidi 1
%define enable_perl 1
%define enable_xml2 1
#%define enable_pspell 0
%define enable_jpeg 1

# PLUGIN OPTIONS: 1 for yes, 0 for no
%define enable_abicommand 1
%define enable_aiksaurus 1
%define enable_babelfish 1
%define enable_urldict 1
%define enable_wikipedia 1
%define enable_freetranslation 1
%define enable_eml 0
%define enable_festvox 0
%define enable_gdict 1
%define enable_shell 1
%define enable_eg 0
%define enable_html 1
%define enable_openwriter 1
%define enable_bz2abw 1
%define enable_imagemagick 0
# graphics
%define enable_gdkpixbuf 1
%define enable_rsvg 1


%if %{enable_debug}
# This makes sure the binaries are UNSTRIPPED!
%define __os_install_post       %{nil}
# This gives extra debuggin and huge binaries
%{expand:%%define optflags %{optflags} %([ ! $DEBUG ] && echo '-g3')}
%endif

%if %{enable_aiksaurus}
%define plugin_aiksaurus --enable-aiksaurus
%else
%define plugin_aiksaurus --disable-aiksaurus
%endif

%if %{enable_gdict}
%define plugin_gdict --enable-gdict
%else
%define plugin_gdict --disable-gdict
%endif

%if %{enable_babelfish}
%define plugin_babelfish --enable-babelfish
%else
%define plugin_babelfish --disable-babelfish
%endif

%if %{enable_urldict}
%define plugin_urldict --enable-urldict
%else
%define plugin_urldict --disable-urldict
%endif

%if %{enable_wikipedia}
%define plugin_wikipedia --enable-wikipedia
%else
%define plugin_wikipedia --disable-wikipedia
%endif

%if %{enable_freetranslation}
%define plugin_freetranslation --enable-freetranslation
%else
%define plugin_freetranslation --disable-freetranslation
%endif

%define plugin_bz2abw --enable-bz2abw

%if %{enable_imagemagick}
%define plugin_imagemagick --enable-magick
%else
%define plugin_imagemagick --disable-magick
%endif

%define plugin_gdkpixbuf --enable-gdkpixbuf

%if %{enable_eml}
%define plugin_eml --enable-eml
%else
%define plugin_eml --disable-eml
%endif

%if %{enable_festvox}
%define plugin_festvox --enable-festvox
%else
%define plugin_festvox --disable-festvox
%endif

%if %{enable_gdict}
%define plugin_gdict --enable-gdict
%else
%define plugin_gdict --disable-gdict
%endif

%if %{enable_shell}
%define plugin_shell --enable-shell
%else
%define plugin_shell --disable-shell
%endif

%if %{enable_eg}
%define plugin_tests --enable-eg
%else
%define plugin_tests --disable-eg
%endif

%if %{enable_openwriter}
%define plugin_openwriter --enable-OpenWriter
%else
%define plugin_openwriter --disable-OpenWriter
%endif


%define version_flag ABI_BUILD_VERSION=%version

Name:		hackabiword
Summary:	Lean and fast full-featured word processor
Version:	1.1.3
Release:	3mdk
Group:		Office
URL:		http://www.abisource.com/
License:	GPL
Source:		http://prdownloads.sourceforge.net/abiword/abiword-%version.tar.bz2
Source6:	abiword-48.png.bz2
Source7:	abiword-32.png.bz2
Source8:	abiword-16.png.bz2

Source21:	fonts.dir.zh-CN
Source22:	fonts.dir.zh-TW
Source23:	fonts.dir.zh-GBK
# (fc) 0.99.1-1mdk fix options given to wv
Patch0:		abiword-1.0.2-wv.patch.bz2
# (fc) 1.0.2-2mdk fix compilation with aspell >= 0.50.2
#Patch1: abiword-1.0.2-aspell.patch.bz2
# 1.1.3-1mdk fontsloading with xft and non-scalable font
Patch2:		abiword-1.1.3-font.patch.bz2
BuildRoot:	%_tmppath/%name-%version-buildroot
# Basic requirements
BuildRequires:	libMagick-devel
BuildRequires:	libbzip2-devel
BuildRequires:	libtool-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libwmf-devel >= 0.2.1
BuildRequires:	libaspell-devel >= 0.50.2
BuildRequires:	texinfo
BuildRequires:	liblcms1-devel
BuildRequires:	libfribidi-devel >= 0.10.4
# Todo: gnome1 => gnome2 when --enable-gnome works again
BuildRequires:	libgtk+-x11-2.0_0-devel
#BuildRequires: GConf-devel
#BuildRequires: gal-devel
#BuildRequires: gnome-libs-devel
#BuildRequires: gnome-print-devel
#BuildRequires: gnome-vfs-devel
#BuildRequires: libglade-devel
#BuildRequires:	bonobo-devel
#BuildRequires for gnome2:	gal2 libgnomecanvas2_0-devel libbonoboui2_0-devel
#				libglade2.0_0-devel libgnomeui2-devel libgnome2-devel
#Requires: gal >= 0.8
Requires:	aspell >= 0.50.2
Prereq:		chkfontpath

%if %{enable_xml2}
BuildRequires:	libxml2-devel
Requires:	libxml2
%else
BuildRequires:	expat-devel >= 1.95.1
Requires:	expat >= 1.95.1
%endif

Obsoletes:	abisuite
Provides:	abisuite = %version

%description
AbiWord is a cross-platform, Open Source Word Processor developed
by the people at AbiSource, Inc. and by developers from around the world.

It is a lean and fast full-featured word processor. It works on Microsoft
Windows and most Unix Systems. Features include:

   * Basic character formatting (bold, underline, italics, etc.)
   * Paragraph alignment
   * Spell-check
   * Import of Word97 and RTF documents
   * Export to RTF, Text, HTML, and LaTeX formats
   * Interactive rulers and tabs
   * Styles
   * Unlimited undo/redo
   * Multiple column control
   * Widow/orphan control
   * Find/Replace
   * Images
   * Tables

Abiword with the GNOME front-end is part of the GNOME Office Suite. 

HackAbiword 1.1.3 has some bugs left and is experimental software:
   * Gnome build is broken
   * It crashes after printing
   * Problems with non-scalable fonts, see:
     http://www.mail-archive.com/abiword-dev@abisource.com/msg28698.html
   * Probably a lot more...

%if %{enable_abicommand}
%package plugin-abicommand
Summary:	This plugin offers a command line interface to AbiWord.
Group:		Office

%description plugin-abicommand
This plugin offers a command line interface to AbiWord.
%endif


%if %{enable_perl}
%package perl
Summary:	Perl Bindings Module
Group:		Development/Libraries
Requires:	perl >= 5.005
BuildRequires:	perl >= 5.005

%description perl
Perl Module containing classes for AbiWord Scripting.
%endif

%if %{enable_babelfish}
%package plugin-babelfish
Summary:	Plugin to allow abiword to show babelfish translations.
Group:		Office
Requires:	hackabiword

%description plugin-babelfish
Installing this plugin will allow abiword fetch babelfish translations 
for selected text.
%endif

%if %{enable_urldict}
%package plugin-urldict
Summary:	Plugin to allow abiword to use dict through a web browser
Group:		Office
Requires:	hackabiword

%description plugin-urldict
Installing this plugin will allow abiword to use dict through a web 
browser on selected text.
%endif 

%package plugin-bz2abw
Summary:	Plugin to allow abiword documents compressed with bzip2
Group:		Office
Requires:	bzip2, hackabiword
BuildRequires:	bzip2-devel

%description plugin-bz2abw
Installing this plugin will allow abiword to open abiword documents 
compressed with bzip2.

%package plugin-html
Summary:	Plugin to enable import of arbitrary HTML documents (experimental).
Group:		Office
Requires:	libxml2, hackabiword
BuildRequires:	libxml2-devel

%description plugin-html
Installing this plugin will allow abiword the import of arbitrary HTML and XHTML
documents (experimental).

%if %{enable_festvox}
%package plugin-festvox
Summary:	Plugin for festvox
Group:		Office
Requires:	hackabiword

%description plugin-festvox
Plugin for festvox
%endif

%if %{enable_gdict}
%package plugin-gdict
Summary:	Plugin to allow abiword to use gdict
Group:		Office
BuildRequires:	gdict

%description plugin-gdict
Plugin to allow abiword to use gdict
%endif

%package plugin-abigimp
Summary:	Enables editing of your images in The GIMP.
Group:		Office
Requires:	hackabiword

%description plugin-abigimp
Installing this plugin will allow AbiWord to transfer images to The GIMP for
editing.

%if %{enable_shell}
%package plugin-shell
Summary:	Enables redirection of shell output into AbiWord.
Group:		Office
Requires:	hackabiword

%description plugin-shell
Installing this plugin will allow AbiWord to read output of shell commands.
%endif

%if %{enable_wikipedia}
%package plugin-wikipedia
Summary:	Plugin to allow abiword to connect with WikiPedia.
Group:		Office
Requires:	hackabiword

%description plugin-wikipedia
Plugin to allow abiword to connect with WikiPedia.
%endif

%if %{enable_freetranslation}
%package plugin-freetranslation
Summary:	Plugin to allow abiword to connect with freetranslation.
Group:		Office
Requires:	hackabiword

%description plugin-freetranslation
Plugin to allow abiword to connect with freetranslation.
%endif

%if %{enable_aiksaurus}
%package plugin-aiksaurus
Summary:	Plugin to allow abiword to connect with AikSaurus.
Group:		Office
BuildRequires:	libAiksaurusGTK-devel
Requires:	hackabiword

%description plugin-aiksaurus
Plugin to allow abiword to connect with AikSaurus.
%endif

%if %{enable_imagemagick}
%package plugin-imagemagick
Summary:	Plugin to allow abiword to use imagemagick.
Group:		Office
BuildRequires:	ImageMagick-devel
Requires:	hackabiword, ImageMagick 

%description plugin-imagemagick
Installing this plugin will allow abiword to use imagemagick.
%endif

%if %{enable_gdkpixbuf} 
%package plugin-gdkpixbuf
Summary:	Plugin to allow abiword to import several image types with gdk-pixbuf
Group:		Office
Requires:	gdk-pixbuf, hackabiword
BuildRequires:	gdk-pixbuf-devel

%description plugin-gdkpixbuf
Installing this plugin will allow abiword to import all image types supported 
by gdk-pixbuf.
%endif

%package plugin-graphics
Summary:	Plugins to allow abiword to import images.
Group:		Office
Requires:	hackabiword

%description plugin-graphics
Installing these plugins will allow abiword to import several image types,
like jpeg, bmp or rsvg.

%package plugin-impexp
Summary:	Plugins to allow abiword to import file types from other wordprocessors.
Group:		Office
Requires:	hackabiword
%if %{enable_openwriter}
BuildRequires:	libgsf-1_1-devel
%endif

%description plugin-impexp
Installing these plugins will allow abiword to import and/or export file types
from other wordprocessors, like OpenOffice/StarOffice(5/6), WordPerfect, Kword, etc.
This package also provides plugins to import LaTeX, nroff and docbook documents.
Support to import MS Word documents is built into the main package.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n abiword-%version
#%patch0 -p1 -b .wv
#%patch1 -p1 -b .aspell
%patch2 -p1

#needed by patch1
cd abi
#force automake to use configure.in
rm -f configure.ac
#autoconf
cd ..

%build
rm -Rf libpng
cd abi
# TV: let fix buggy build system
#for i in missing mkinstalldirs install-sh;do ln -sf /usr/share/automake/$i ac-helpers/;done
./autogen.sh|| :
perl -pi -e 's!top_builddir = \@top_builddir\@!!g' GNUmakefile.in
%configure2_5x --enable-xft
#perl -pi -e 's!-1.5d!!g' GNUmakefile

make %{version_flag} ABI_OPT_DEBUG=%{enable_debug} ABI_OPT_LIBXML2=%{enable_xml2} \
    UNIX_CAN_BUILD_STATIC=0 ABI_OPT_GNOME=1 ABI_OPT_LIBJPEG=1 \
    ABI_OPT_BIDI_ENABLED=%{enable_bidi} ABI_OPT_PERL=%{enable_perl} \
    ABI_OPT_OPTIMIZE=%{enable_optimize} prefix=$RPM_BUILD_ROOT%_datadir

cd ../abiword-plugins/
./nextgen.sh
./configure --prefix=$RPM_BUILD_ROOT%_datadir/AbiSuite-2.0 %{plugin_aiksaurus} \
    %{plugin_gdict} %{plugin_babelfish} %{plugin_urldict} %{plugin_wikipedia} \
    %{plugin_freetranslation} %{plugin_bz2abw} %{plugin_imagemagick} \
    %{plugin_gdkpixbuf} %{plugin_openwriter} %{plugin_eml} --enable-html \
    %{plugin_festvox} --enable-abigimp %{plugin_shell} %{plugin_tests} \
    --libdir=%_libdir
%make 
%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
cd abi

%makeinstall_std

cd ../abiword-plugins
%make install
cd ../abi

# Fixes for symlink in _bindir
rm -f $RPM_BUILD_ROOT%_bindir/{abiword,AbiWord_s}
ln -s %_bindir/AbiWord-2.0 $RPM_BUILD_ROOT%_bindir/abiword

# Creates GNOME menu entries
mkdir -p $RPM_BUILD_ROOT%_datadir/pixmaps
cp $RPM_BUILD_DIR/abiword-%version/abidistfiles/icons/abiword_48.png $RPM_BUILD_ROOT%_datadir/pixmaps/abiword_48.png
mkdir -p $RPM_BUILD_ROOT%_datadir/gnome/apps/Applications/
cp $RPM_BUILD_DIR/abiword-%version/abi/src/pkg/linux/rpm/data/abiword.desktop $RPM_BUILD_ROOT%_datadir/gnome/apps/Applications/abiword.desktop

# Icons
mkdir -p $RPM_BUILD_ROOT%_liconsdir
mkdir -p $RPM_BUILD_ROOT%_iconsdir
mkdir -p $RPM_BUILD_ROOT%_miconsdir
bzcat %SOURCE6 > $RPM_BUILD_ROOT%_liconsdir/abiword.png
bzcat %SOURCE7 > $RPM_BUILD_ROOT%_iconsdir/abiword.png
bzcat %SOURCE8 > $RPM_BUILD_ROOT%_miconsdir/abiword.png

# Menu entry
mkdir -p $RPM_BUILD_ROOT%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%_bindir/abiword" section="Office/Wordprocessors" \
icon="abiword.png" needs="x11" title="AbiWord" \
longtitle="RTF and Microsoft Word (up to 97) document editor"
EOF

# Fonts
mkdir -p $RPM_BUILD_ROOT/%_datadir/AbiSuite-2.0/fonts/{zh-CN.GB2312,zh-TW.Big5,zh-CN.GBK}
install -c -m 0644 %SOURCE21 $RPM_BUILD_ROOT%_datadir/AbiSuite-2.0/fonts/zh-CN.GB2312/fonts.dir
install -c -m 0644 %SOURCE22 $RPM_BUILD_ROOT%_datadir/AbiSuite-2.0/fonts/zh-TW.Big5/fonts.dir
install -c -m 0644 %SOURCE23 $RPM_BUILD_ROOT%_datadir/AbiSuite-2.0/fonts/zh-CN.GBK/fonts.dir
mkdir -p $RPM_BUILD_ROOT%_mandir/man8
cp -a ../abiword-docs/man/*.8 $RPM_BUILD_ROOT%_mandir/man8/
#cp -a ../wv/help/man/*.1 $RPM_BUILD_ROOT%_mandir/man1/ 

#remove unpackage files
rm -f $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/Nautilus_View_AbiWord.oaf \
 $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/dictionary/ispell_dictionary_list.xml \
 $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/nautilus-abiword-content-view-ui.xml \
 $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/AbiWord/system.profile \
 $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/fonts/zh-*/fonts.dir
rm -rfd $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/AbiWord//help/fr-FR
# Delete some plugins. Would they be usefull to include?
rm -f $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiGypsython.* \
    $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiHRText.* \
    $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiISCII.* \
    $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiMIF.* \
    $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiPW.* \
    $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiPalmDoc.* \
    $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiReferee.* \
    $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiSDW.* \
    $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiT602.*
%if %{enable_abicommand}
%else
rm -f $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiCommand.* \
     $RPM_BUILD_ROOT%{_datadir}/AbiSuite-2.0/GNOME_AbiWord_Control_1_0.oaf
%endif

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc abi/user/wp/readme.txt abi/BiDiReadme.txt abi/COPYING abi/COPYRIGHT.TXT abi/CREDITS.TXT abi/README.TXT abi/UnixFonts.txt abi/UnixLocales.txt abi/abi2po.pl abi/po2abi.pl
%doc abi/docs/*.abw abi/docs/*.txt abi/docs/*.html abi/docs/status/*.xsl abi/docs/status/*.xml
%_bindir/*
%_menudir/%name
%dir %_datadir/AbiSuite-2.0
%_datadir/AbiSuite-2.0/README
%_datadir/AbiSuite-2.0/clipart
%dir %_datadir/AbiSuite-2.0/dictionary
%_datadir/AbiSuite-2.0/dictionary/*american*.hash 
%_datadir/AbiSuite-2.0/icons
%_datadir/AbiSuite-2.0/templates
%_datadir/AbiSuite-2.0/AbiWord/bin/*
%_iconsdir/abiword.png
%_miconsdir/abiword.png
%_liconsdir/abiword.png
%config(noreplace) %_datadir/AbiSuite-2.0/fonts/fonts.dir
%config(noreplace) %_datadir/AbiSuite-2.0/fonts/fonts.scale
%_datadir/AbiSuite-2.0/fonts/*.afm
%_datadir/AbiSuite-2.0/fonts/*.pfa
%_datadir/AbiSuite-2.0/fonts/*.pfb
%_datadir/AbiSuite-2.0/fonts/*.e2u
%_datadir/AbiSuite-2.0/fonts/*.u2g
%_datadir/AbiSuite-2.0/AbiWord/readme.txt 
%_datadir/AbiSuite-2.0/AbiWord/strings
%_datadir/AbiSuite-2.0/AbiWord/scripts
%_datadir/AbiSuite-2.0/AbiWord/system.profile-* 
%_mandir/*/*
%attr(644,root,root) %_datadir/pixmaps/abiword_48.png
%attr(644,root,root) %_datadir/gnome/apps/Applications/abiword.desktop
#%attr(644,root,root) %_datadir/AbiSuite-2.0/AbiWord/plugins/libAbiGdkPixbuf.* 
%lang(en)%_datadir/AbiSuite-2.0/AbiWord/help/en-US

%if %{enable_abicommand}
%files plugin-abicommand
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiCommand.*
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/GNOME_AbiWord_Control_1_0.oaf
%endif

%if %{enable_gdict}
%files plugin-gdict
%attr(-,root,root) %_datadir/AbiSuite-2.0/AbiWord/plugins/libAbiGdict.*
%endif

%if %{enable_babelfish}
%files plugin-babelfish
%attr(-,root,root) %_datadir/AbiSuite-2.0/AbiWord/plugins/libAbiBabelfish.*
%endif

%if %{enable_urldict}
%files plugin-urldict
%attr(-,root,root) %_datadir/AbiSuite-2.0/AbiWord/plugins/libAbiURLDict.*
%endif

%if %{enable_wikipedia}
%files plugin-wikipedia
%attr(-,root,root) %_datadir/AbiSuite-2.0/AbiWord/plugins/libAbiWikipedia.*
%endif

%if %{enable_freetranslation}
%files plugin-freetranslation
%attr(-,root,root) %_datadir/AbiSuite-2.0/AbiWord/plugins/libAbiFreeTranslation.*
%endif

%if %{enable_aiksaurus}
%files plugin-aiksaurus
%attr(-,root,root) %_datadir/AbiSuite-2.0/AbiWord/plugins/libAbiAikSaurus.*
%endif

%files plugin-bz2abw
%attr(-,root,root) %_datadir/AbiSuite-2.0/AbiWord/plugins/libAbiBZ2.*

%files plugin-html
%attr(-,root,root) %_datadir/AbiSuite-2.0/AbiWord/plugins/libAbiHTML.*
%attr(-,root,root) %_datadir/AbiSuite-2.0/AbiWord/plugins/libAbiXHTML.*
%if %{enable_festvox}
%files plugin-festvox
%attr(-,root,root) %_datadir/AbiSuite-2.0/AbiWord/plugins/libAbiFestVox.*
%endif 
 
%files plugin-abigimp
%attr(-,root,root) %_datadir/AbiSuite-2.0/AbiWord/plugins/libAbiGimp.*

%if %{enable_shell}
%files plugin-shell
%attr(-,root,root) %_datadir/AbiSuite-2.0/AbiWord/plugins/libAbiScriptHappy.*
%endif

%if %{enable_imagemagick}
%files plugin-imagemagick  
%attr(-,root,root) %_datadir/AbiSuite-2.0/AbiWord/plugins/libAbiMagick.*
%endif

%if %{enable_gdkpixbuf} 
%files plugin-gdkpixbuf
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiGdkPixbuf.*
%endif

%files plugin-graphics
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiJPEG.*
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiBMP.*
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiWMF.*
%if %{enable_rsvg}
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiRSVG.*
%endif

%files plugin-impexp
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiWordPerfect.*
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiKWord.*
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiApplix.*
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiClarisWorks.*
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiHancom.*
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiXSLFO.*
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiLaTeX.*
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiCoquille.*
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiDocBook.*
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiMSWrite.*
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiNroff.*
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiWML.*
%if %{enable_openwriter}
%attr(-,root,root) %{_datadir}/AbiSuite-2.0/AbiWord/plugins/libAbiOpenWriter.*
%endif


%post
%update_menus
if test -z "`grep AbiSuite /etc/X11/fs/config`" ; then
  if test -x /usr/sbin/chkfontpath ; then
    /usr/sbin/chkfontpath --add %_datadir/AbiSuite-2.0/fonts
  fi
fi

%postun
%clean_menus
if test ! -e %_datadir/AbiSuite-2.0/fonts/fonts.dir ; then
  if test -x /usr/sbin/chkfontpath ; then
    /usr/sbin/chkfontpath --remove %_datadir/AbiSuite-2.0/fonts
  fi
fi


%changelog
* Tue Mar 11 2003 Marcel Pol <mpol@gmx.net> 1.1.3-3mdk
- enable aiksaurus
- formatting

* Fri Jan 31 2003 Marcel Pol <mpol@gmx.net> 1.1.3-2mdk
- plugins require hackabiword instead of abiword
- enable xml2, requires xml2
- enable abicommand, add plugin package
- add optional svg plugin, buildreq: librsvg2_2-devel
- really enable openwriter, buildreq: libgsf-1_1-devel
- make metapackages:
  * plugin-graphics: jpeg, bmp, rsvg
  * plugin-impexp: kword, wordperfect, etc.

* Mon Jan 27 2003 Marcel Pol <mpol@gmx.net> 1.1.3-1mdk
- hackabiword-1.1.3
- source1 (plugins) is integrated now
- disable gnome, broken in 1.1.3
- disable imagemagick plugin
- enable xft by default :-)
- added patch2
- enable debug and don't strip
- now uses %_datadir/AbiSuite-2.0
- are the make variables broken?
- redundant buildreq: freetype2-devel

* Thu Jan 23 2003 Marcel Pol <mpol@gmx.net> 1.0.4-1mdk
- 1.0.4
- buildreq: bonobo-devel, liblcms1-devel

* Thu Dec 19 2002 Charles A Edwards <eslrahc@bellsouth.net> 1.0.3-1mdk
- 1.0.3
- convert src tar.gz to tar.bz2 and correct permissions
- disable pspell--too lazy worry with new aspell patch-- diable patch1
- disable abicommand (build fails if enabled)
- enable jpeg
- rm configure.aw--force automake to use configure.in 
- use nexgen.sh to build plgins (fails in AbiCommand if autogen.sh is used)
- enable/add plugins gdict, ImageMagick, GdkPixbuf
- remove unused files from file list

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Recompiled against latest gal/aspell
- Patch

* Wed Sep 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- update plugins
- regenerate patch
- wrap description

* Fri Jul 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-3mdk
- buildrequires libpspell-devel

* Tue Jun 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-2mdk
- fix abiword-plugins build (autogen.sh)

* Fri Apr 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-1mdk
- new release
- remove merged upstream patch1
- %%lang help
- remove uneeded Buildrequires
- add plugins
- handle fonts
- disable es/fr/de help that're missing from the tarball
- add manpages

* Tue Apr 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.5-1mdk
- new release
- reput american dict

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.3-1mdk
- clean spec
- abiword is stable again

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.1-4mdk
- xpm -> png icons

* Sun Jan 27 2002 Stefan van der Eijk <stefan@eijk.nu> 0.99.1-3mdk
- forgot one BuildRequires

* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 0.99.1-2mdk
- BuildRequires

* Fri Jan 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.1-1mdk
- Release 0.99.1
- Add new plugins, thanks to Rui Miguel Seabra
- Add dictionnaries
- Don't build with libxml2, it breaks some translations
- Patch0: give correct configure flags to wv
- Patch1: fix locale detection when modifier are used (like in @euro)

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-1mdk
- Release 0.9.5
- Enable libxml2 and gnome build
- Switch to autoconf based build system
- Clean specfile
- Remove patch0

* Sat Dec  1 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.9.4.1-2mdk
- cast pointer to unsigned long not UT_uint32 (fixes 64-bit build)

* Wed Oct 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.4.1-1mdk
- new version
- compiled with libpng3

* Tue Oct 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.4-1mdk
- new version

* Mon Oct 08 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.9.2-3mdk
- Correted chinese printing PS font name

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.2-2mdk
- BuildRequires: libtool --> libtool-devel

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- Release 0.9.2

* Thu Aug  2 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-2mdk
- fixes fonts.dir for cooker (mdk8.1), works both mdk8.0& cooker

* Wed Aug  1 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.0-1mdk
- changed name back to abiword, new tarball includes everything we need
- changed setup, compilation, paths, and so on.

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.0-0.pre20010714.4mdk
- Fix dependency on libpspell

* Sun Jul 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-0.pre20010714.3mdk
- BuildRequires: libtool-devel
- Copyright --> License
- Removed BuildRequires:	glib-devel
- Removed BuildRequires:	gtk+-devel
- Removed BuildRequires:	libpng-devel
- Removed BuildRequires:	zlib-devel

* Sun Jul 15 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.pre20010714.2mdk
- add GBK support, fonts/zh_CN.GBK

* Sat Jul 14 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.pre20010714.1mdk
- CVS 20010714 (Sat Jul 14 03:06:05 UTC 2001)
- fixes for fonts.dir.zh-CN and fonts.dir.zh-TW, add fonts.dir.zh-GBK
- fonts.dir for CJK should include four style(normal/Bold/Italic/italic-Bold) for each underline ttf font
- built both on mdk8 and cooker

* Thu Jul 12 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.7.15-0.pre20010612.1mdk
- Latest nightly building from http://www.abisource.com/~sam/nightly/latest/

* Thu Jul 12 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.2mdk
- build from CVS Thu Jul 12 08:07:57 UTC 2001

* Sat Jul 08 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.1mdk
- build from CVS 2001-07-08

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-9mdk
- BuildRequires: libunicode-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-8mdk
- BuildRequires: gdk-pixbuf-devel
- remove BuildRequires: popt-devel (Stefan sux)

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-7mdk
- BuildRequires: popt-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-6mdk
- BuildRequires: gnome-print-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-5mdk
- BuildRequires: gnome-libs-devel

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.14-4mdk
- Rebuild against latest gal
- correct menu entry

* Mon Jun 11 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.7.14-3mdk
- quick fixes for CJK fonts
- add fonts.dir for Chinese TTF fonts

* Fri Jun  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.14-2mdk
- recompile for libltdl suxxing

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.14-1mdk
- Use official sources
- Recompiled against latest gal

* Mon May 21 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.7.14-0.3mdk
- rebuild with new libpspell

* Fri Apr  6 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.14-0.2mdk
- separated abisuite data directory into 3 entries in the filelist, to add a 
"noreplace" parameter to fonts.dir and fonts.scale (to keep user modifications when upgrading).
(thanks to Ha Duong Minh)

* Thu Apr  5 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.14-0.1mdk
- version from gnome 1.4 extra apps; tagged 0.1 until official release.
- added chkfontpath in post and postun + PreReq
- require on libpng
- more docs

* Mon Apr  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.13-3mdk
- Patch6 : include correct headers in libole code
- Correct libxml dependencies

* Thu Mar 15 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.13-2mdk
- added compilation options (gnome,libxml,pspell)

* Tue Mar 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.13-1mdk
- new version

* Thu Jan 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.11-7mdk
- back to -O3 (for Fcrozat who is doesn't know how to check build flags ;)

* Sat Dec 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.11-6mdk
- build with -O2 to fix gcc internal error.

* Tue Nov  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.11-5mdk
- Rebuild against last libstdc++ and using optimizations
- Patch to build with gcc 2.96
- Use more macros

* Wed Oct  4 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-4mdk
- Add ABI_BUILD_VERSION so version numbers work (from Tristan Henderson)

* Tue Oct  3 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-3mdk
- patch to avoid a clash between wv.h provided by abiword/wv module and 
  wmfapi.h (which it tries to include when wmf lib is correctly detected) 

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.11-2mdk
- added build requires on libwmf gtk+-devel glib-devel freetype-devel xpm-devel zlib-devel libpng-devel.

* Mon Sep 18 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-1mdk
- new version
- updated menus patch
- added toolbars patch

* Thu Sep  7 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.10-2mdk
- macroszification
- added liconsdir

* Wed Jul 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-1mdk
- Update to 0.7.10 (from Helix)
- change menu update
- move doc to standard location
- BM

* Sun May 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.9-1mdk
- Fix descriptions (RPM & menu)

* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.9-1mdk
- Update to 0.7.9
- Nothing sucks :)

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-7mdk
- fg sucks - menu entry really really added this time :-)
- fixed sources location

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.8-6mdk
- Real description

* Tue Apr 11 2000 Francis Galiegue <fg@mandrakesoft.com> 0.7.8-5mdk
- Titi sucks - menu entry really added this time
- Titi sucks - %post and %postun were incorrect
- Titi sucks - there were no icons, now there are
- Removed SMP cruft

* Wed Apr 05 2000 Jerome Martin <jerome@mandrakesoft.com> 0.7.8-4mdk
- Fixing distribution tag

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-3mdk
- add menu entry

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-2mdk
- clean spec: remove last garbages of file lists
- now compliant to the new naming scheme
- fix /usr/share/abisuite/bin/abiword incorectely linked on
  /var/tmp/abisuite-buildroot/usr/share/abisuite/AbiSuite/bin/AbiWord
  This bug is present at least since 0.7.7-3mdk!!

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.7.8-1mdk
- 0.7.8
- PPC Support

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.7-2mdk
- Fix alpha/sparc compilation.

* Thu Jan 13 2000 Saugey Vincent <vince@mandrakesoft.com> 0.7.7-1mdk
- update to 0.7.7

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.6-1mdk
- update to 0.7.6

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.5-3mdk
- Build for cooker.

* Fri Sep 10 1999 Daouda LO <daouda@mandrakesoft.com> 0.7.5-2mdk
- Mandrake adaptations
- bzipped the sources
- Make the package relocatable

* Sun Sep 05 1999 Vu Hung Quan <binaire@videotron.ca> 0.7.5-1mdk
- update to 0.7.5 ; redhat adaptation

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
